Saturday, May 31, 2008

My best tips in ACA - 1 (actually AutoCAD)

Customisation is the key to getting the most out of using any ACAD or vertical installation. Because it is SO customisable and so broad, often OOTB is not going to be the easiest and best setup for you to use.

Firstly a tip that I picked up. Don't customise the OOTB menu's etc or you will loose them when you upgrade or re-install! This has been outdated a little with the latest versions going and finding your previous installations customisations but what if you want to install somewhere else or on another pc.

Create a MyStuff folder somewhere, I put it in the windows My Documents folder. In there are all my textures, alisps, colorbooks, patterns, linetypes etc in their own folders. If you reinstall, or want to move or back up, this is your main folder. You will need to add these folders to your support file search path under File tab of Options. - - - Unfortunately it's not that simple with a number of other files that will reside deep in your installed folders but that's another story.

Many struggle with the new release and they can't find anything (me>v2009). Using shortcuts (Alias's) is a very easy way to isolate yourself from Adesk's manic interface changes. The created alias's will need to be added to your acad.pgp file but once you have the hang of it, it is a very easy way of giving yourself speed improvements. Express tools has an editor that allows you to add one at a time but if you have them set up from another installation or previous release you can just copy and paste them into the new acad.pgp file and away you go.

Here is a sample from my Acad.pgp that takes those indespensible express tools layer commands and puts them into a simpe easy to remember alias set. Note that they are close together on the keyboard so they are quick to type.


But if you want to alias a command with options, (like PEdit) you can't do that with alias's. Then you need to do some simple lisp to create a new command. That's a perfect excuse to introduce this great tip.

View Direction (Hot Tip!)
If you are using version 09 then you have the new view cube which is better but if you are in 08 or previous then you may use this tip to great effect. I picked it up off the NG. Post this into a MyStuff.lsp file (compiled with other alisp commands if you wish) created with notepad (rename the .txt). Load the file using APPLOAD and also drop it into the briefcase to load each time!

(defun C:01 () (command "-view" "swiso"));;view southwest isometric
(defun C:02 () (command "-view" "front"));;view front elevation
(defun C:03 () (command "-view" "seiso"));;view southwest isometric
(defun C:04 () (command "-view" "left")) ;;view left elevation
(defun C:05 () (command "-view" "top")) ;;view plan
(defun C:06 () (command "-view" "right"));;view right elevation
(defun C:07 () (command "-view" "nwiso"));;view northwest isometric
(defun C:08 () (command "-view" "back"));;view rear elevation
(defun C:09 () (command "-view" "neiso"));;view northeast isometric

Your keypad will now serve as a direction device. At a quick glance it doesn't look very quick to use but have a look at your numeric keypad arranged in a quadrant around a centre (5). If you want to view from the right side you hit 06 (enter) (the way I've coded it, I have a 0 before the number just to make sure it's intentional!). Front is 02 (enter) and to go back to plan is the centre key 05(enter). To view an isometric, say from the north east, you type 09(enter).
Beautifully simple in implimentation and execution. I can't believe anyone would still use a toolbar! :-)

There are lots more items you can add to this MyStuff.lsp to give yourself access to commands quickly. The code creates a new command (per line in this case) that will execute the commands that follow. The last bit at the end is the explanation of what it does.
Try this one ;

(defun C:WF () (command "SHADEMODE" "2")) ;; 2D WIREFRAME DISPLAY

(I've got SH aliased to Shade in my acad.pgp file. - Why the difference? Alias's can handle only one command with no response whereas alisp can handle rolling multiple commands into one and even pause for input if required).

or these (kinda outdated with wheel mouse but useful if you need to avoid multiple regens which can happen when scrolling, because of heavy hatching, images etc.)

(defun C:ZV () (command "zoom" "P")) ;;ZOOM PREVIOUS
(defun C:ZX () (command "zoom" "E")) ;;ZOOM EXTENTS
(defun C:ZS () (command "zoom" "S")) ;;ZOOM SCALE
(defun C:ZA () (command "zoom" "A")) ;;ZOOM ALL
(defun C:ZD () (command "zoom" "D")) ;;ZOOM DYNAMICS
(defun C:ZW () (command "zoom" "W")) ;;ZOOM WINDOW
(defun C:Z1 () (command "zoom" ".1x")) ;;ZOOM .1x
(defun C:Z2 () (command "zoom" ".2x")) ;;ZOOM .2x
(defun C:Z3 () (command "zoom" ".3x")) ;;ZOOM .3x
(defun C:Z4 () (command "zoom" ".4x")) ;;ZOOM .4x
(defun C:Z5 () (command "zoom" ".5x")) ;;ZOOM .5x
(defun C:Z6 () (command "zoom" ".6x")) ;;ZOOM .6x
(defun C:Z7 () (command "zoom" ".7x")) ;;ZOOM .7x
(defun C:Z8 () (command "zoom" ".8x")) ;;ZOOM .8x
(defun C:Z9 () (command "zoom" ".9x")) ;;ZOOM .9x

Basically anything that you type often like dim'ing etc can be made into an alias (or shortened) if it's not already or even coded into a simple alisp file that will speed up production. That way you can turn off those toolbars and even some palletes and get as big a screen as you can handle. Do some at a time and post them above your monitor and you should pick them up in no time.
Check out this article from Odin on Archidigm for reinforcement and great explanatory pic's on this topic.
Best to ya.

Non-Metric Users

Hey I'm new at this !! I didn't mean to exclude any imperial users, from whom I have learnt an incredible amount of great information. You're most welcome too.

Welcome to Aussie ACA (ADT)

Hi Aussie's Kiwi's and any other metric users from around the world who hopefully will feel welcome to drop in and provide some great tips. I am intending to use this site to promote specifically content relative to what I know of the Aus market place and also to discuss the current state of ACA in Australia.

I don't think I can post files here so I think I'll post in the autodesk.aec.arch-desktop.content newsgroup or possibly on PointA site so that everyone can share.

Content : I have lots of bits & pieces in various stages as I'm sure you all have. Grabbing it from one file & pasting in another is one thing but having it all set up to work together in a system is another thing. As a single user I don't have the benefit of a specialist person just to create & organise content and I know there are many others out there like me. So my philosophy is that if we help each other we can make ACA a more OOTB type experience and get on with the job of designing & building virtual houses, rendering & documenting CD's and enjoying life.

My first task is simply aluminium windows used in abundance but not easy to create and control (unless you know how!).
Below I post a pic. of my window frames, standard window objects so they can include std window sizes available and also able to have a sill or surround added, which you can't do with DWA's. The frame styles have blocks added that will stretch (within std sizes) and behave much like native ACA window objects. Please let me know if you have any great ideas to include here.

Where is ACA going in Aus?

I also want to discuss the current situation in Australia where the two resellers don't seem to have any interest in promoting ACA. Does it have a place here? Does it still have something to offer?

I believe that there are definitely commercial reasons for pushing Revit and not all are necessarily to the benefit of the customer. There are a lot of businesses that with a small outlay on top of their current AutoCAD sub's could be up and running on ACA without the much larger outlay, content and training costs of moving to another program. Then of course there is the well marketed ArchiCAD which has aussie content for $ale. If we as Aussie ACA users help each other we can create a strong reason for others to choose ACA. If not I fear that ausACA is going to disappear. Perhaps if we show the resellers that there is some solid interest in ACA and that it can do the job well, then we will respark their interest in supporting ACA.
----------------Remember : they are a business too.